#2954 closed enhancement (fixed)

ARM: Optimize context switch

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: arch/arm Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Set CPU_ENABLE_ROBUST_THREAD_DISPATCH to TRUE. In this case the interrupts are always enabled during a context switch even after interrupt processing (see #2751). Remove the CPSR from the context control since it contains only volatile bits.

Change History (3)

comment:1 Changed on Mar 28, 2017 at 8:34:46 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In cd3d747/rtems:

arm: Optimize context switch

Set CPU_ENABLE_ROBUST_THREAD_DISPATCH to TRUE. In this case the
interrupts are always enabled during a context switch even after
interrupt processing (see #2751). Remove the CPSR from the context
control since it contains only volatile bits.

Close #2954.

comment:2 Changed on Oct 16, 2017 at 6:21:19 AM by Sebastian Huber

Component: scorearch/arm

comment:3 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.